Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

Download and install Maven:

  • 2.2.x or 3.0.x compatible with any version of SonarQube
  • 3.1+ compatible with SonarQube 3.7+

Check compatibility matrix for more details.

Global Settings

Edit the settings.xml file, located in $MAVEN_HOME/conf or ~/.m2, to set the database parameters to be used as well as the SonarQube server URL.

...